apiready = function () {
	var ajfunc = window.ajfunc;
	var func = window.func;
	var timer = 0, arr = [], CTIME;

	// 监听退出事件
	api.addEventListener({
		name: 'loginout'
	}, function (ret, err) {
		// 注销第三方功能
		ajfunc.ajpush_exit();
		api.openWin({
			name: 'sign',
			url: './modules/sign/view.html',
			bounces: false,
			slidBackEnabled: false,
			animation: {
				type: "push",
			}
		});
	});

	// 监听登录事件
	api.addEventListener({
		name: 'login'
	}, function (ret, err) {
		if (typeof ret.value != "object") {
			var data = JSON.parse(ret.value);
		} else {
			var data = ret.value;
		}
		func.goHome();
	});
	// 监听播放轮播图片页
	api.addEventListener({
		name: 'home'
	}, function (ret, err) {
		var userData = window.localStorage.getItem('user');
		if (userData) {
			func.goHome();
			userData = JSON.parse(userData);
			ajfunc.ajPush_init(userData.userId);
		}
		//跳登陆页面
		else {
			func.goLogin();
		}
	});
	//返回键
	var first = null;
	api.addEventListener({
		name: 'keyback'
	}, function (ret, err) {
		if (!first) {
			first = new Date().getTime();
			api.toast({
				msg: '再按一次退出餐链',
				duration: 1500,
				location: 'bottom'
			});
			setTimeout(function () {
				first = null;
			}, 1000);
		} else {
			if (new Date().getTime() - first < 2000) {
				// ajpush_clear(-1);
				api.closeWidget({
					silent: true
				});
			}
		}
	});
	// 启动页关闭前导条件
	api.addEventListener({
		name: 'complete'
	}, function (ret, err) {
		var index,
			extra = ret && ret.value;

		extra && (index = arr.indexOf(extra.name));
		index < 0 && arr.push(extra.name);
		// 关闭启动页
		if (func.preambleClose(arr, timer)) {
			func.removeLaunch();
			CTIME && clearInterval(CTIME);
			timer = -1;
		}
	});

	//应用被其他应用调起来时
	/*api.addEventListener({
      name: 'appintent'
    }, function (ret, err) {
      if (ret && ret.appParam) {s
        var ajpush = ret.appParam.ajpush;
        if (ajpush && api.systemType == "android") {
          var extra = JSON.parse(ajpush.extra);
        } else if (ajpush && api.systemType == "ios") {
          var extra = ajpush.extra;
        }

        if (extra && extra.messageTempLate) {
          extra = JSON.parse(extra.messageTempLate);
          func.openPopWin(extra);
        }
      } else if (err) {
        api.toast({msg: err.msg});
      }
    });*/

	//点击通知
	/*api.addEventListener({
      name: 'noticeclicked'
    }, function (ret, err) {
      if (ret && ret.value) {
        if (api.systemType == "android") {
          var extra = JSON.parse(ret.value);
        } else if (api.systemType == "ios") {
          var extra = ret.value;
        }

        if (extra && extra.messageTempLate) {
          extra = JSON.parse(extra.messageTempLate);
          func.openPopWin(extra);
        }
      } else if (err) {
        api.toast({msg: err.msg});
      }
    });*/

	// 云修复
	api.addEventListener({
		name: 'smartupdatefinish'
	}, function (ret, err) {
		if (ret) {
			if (ret.value && ret.value.length) {
				var msg = ret.value[0].extra;

				if (msg) {
					api.alert({
						title: '重启',
						msg: msg
					}, function (ret, err) {
						var index = ret.buttonIndex;
						if (index == 1) {
							api.rebootApp();
						}
					});
				}
			}
		} else {
			api.alert({
				title: '错误',
				msg: '云修复失败！'
			}, function (ret, err) {

			});
		}
	});

	//应用回到桌面
	api.addEventListener({
		name: 'resume'
	}, function (ret, err) {
		// 清空消息数
		ajfunc.ajpush_clear();
	});

	//判断是否为测试环境
	if (api.debug) {
		api.alert({
			msg: '该版本为测试环境'
		});
	}
	// 关闭登录页
	api.addEventListener({
		name: 'closeLogin'
	}, function (ret, err) {
		var index,
			extra = ret && ret.value;
		extra && (index = arr.indexOf(extra.name));
		index < 0 && arr.push(extra.name);
		// 关闭启动页
		if (func.preambleClose(arr, timer)) {
			func.removeLaunch();
			CTIME && clearInterval(CTIME);
			timer = -1;
		}
	});

	// 计时器
	if (timer === 0) {
		CTIME = setInterval(function () {
			timer++;
			// 关闭启动页
			if (func.preambleClose(arr, timer)) {
				func.removeLaunch();
				CTIME && clearInterval(CTIME);
				timer = -1;
			}
		}, 1000);
	}

	// 监听浏览器尺寸改变
	window.addEventListener('resize', function () {
		func.resizeNavTab();
	});


	func.createSlide(function () {
		//进首页再判断是否显示slider 初始化极光推送
		var userData = window.localStorage.user;
		var sysType = api.systemType;
		var slideStat = func.firstLogin();
		if (userData) {
			userData = JSON.parse(userData);
		}

		if (sysType == 'ios') {
			//是否显示Slide页面
			if (slideStat) {
				func.goSlide();
			} else {
				//进首页再判断是否显示slider 初始化极光推送
				if (userData) {
					ajfunc.ajPush_init(userData.userId);
					func.goHome();

				} else {
					api.openWin({
						name: 'sign',
						url: './modules/sign/view.html',
						bounces: false,
						slidBackEnabled: false,
						animation: {
							type: "push",
						}
					});
				}
			}
		} else if (sysType == 'android') {
			api.sendEvent({
				name: 'home'
			});
			// 启动页关闭后出现轮换图
			setTimeout(function () {
				func.goAndroidSlide();
			}, 3000);
		}
	});
}
